<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

<ui:define name="principal">

<h:form id="formGrupo">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "gru"
			value = "#{grupoMB.grupos}"
			editable = "true"
			id="tabelaGrupol"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
			
			
			                        
	>
	
	<f:facet name="header">
            Grupos
    </f:facet>
    
    <p:ajax event="rowEdit" listener="#{grupoMB.onRowEdit}" update="tabelaGrupo" />
	
	
		<p:column headerText="idGrupo" style="text-align: center" sortBy="#{gru.idGrupo}">
			<p:outputLabel value="#{gru.idGrupo}"/>
	    </p:column>
		
	    <p:column headerText="Nome" style="text-align: center" sortBy="#{gru.nome}">
	    	<p:cellEditor>
				<f:facet name="output"><p:outputLabel value="#{gru.nome}"/></f:facet>
        		<f:facet name="input"><p:inputText    value="#{gru.nome}" style="width:96%"/></f:facet>  
        	</p:cellEditor>	         		
	    </p:column>
	    
  
	    <p:column headerText="Fase" style="text-align: center">	    	
				<p:outputLabel value="#{gru.fase.tipo}" />            	         		
	    </p:column>
	   
	    <p:column  headerText="Rodadas" style="text-align: center">
	    <p:commandButton icon ="ui-icon-search" update=":formGrupo" oncomplete="PF('rodadasDialog').show()" closable="true" title="View">
                <f:setPropertyActionListener value="#{gru}" target="#{grupoMB.grupo}" />
        </p:commandButton>              
    	<p:dialog header="Rodada (as) do grupo" widgetVar="rodadasDialog" showEffect="fade" closeOnEscape="true"  hideEffect="fade" resizable="false">
        <p:outputPanel id="rodadas" style=" width:600px" columnClasses="label,value" >
            
            <p:dataTable var="rodada" value="#{grupoMB.grupo.rodadas}">
 					<p:column headerText="idRodada">
	   					<p:outputLabel value="#{rodada.idRodada}"/>
	   	    		</p:column>	
	   	    		
	   	    		<p:column headerText="Grupo">
	   					<p:outputLabel value="#{rodada.grupo}"/>
	   	    		</p:column>
	   	    			
 			</p:dataTable>            
        </p:outputPanel>
        </p:dialog>  
 		</p:column>
	    


		<p:column style = "text-align: center">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{grupoMB.remover(gru)}" update="tabelaGrupo"></p:commandLink> 	     	
		</p:column>
			
	</p:dataTable>		

</h:form>


	</ui:define>
</ui:composition>